<?
// --------------------------------------------------------------------------------
// PhpWindowSystem - Application Sample
// --------------------------------------------------------------------------------
//
// Presentation :
//   PhpWindowSystem is a generic PHP window system management.
//   PhpWindowSystem is designed to take care of window displaying and
//   manage the associated events in order to offer a generic application
//   container.
//   More information can be obtained on
//   PhpConcept (http://www.phpconcept.net)
//   or by contacting the author Vincent Blavet (vincent@phpconcept.net)
//
// --------------------------------------------------------------------------------
// License :
//   PhpWindowSystem (PWS)
//   Copyright (C) 2002  Vincent Blavet (vincent@phpconcept.net)
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or (at your option) any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------------
// CVS : $Id: sample-dev.php,v 1.1 2002/08/26 22:04:25 vblavet Exp $
// --------------------------------------------------------------------------------

  // ----- Include the used modules
  require_once('pws/modules/pws-module-explorer/pws-module-explorer.class.php');

  // ----- Include the sample class
  require_once('sample.class.php');

  // ----- Include the PWS framework and session definition
  require_once('pws/core/pws.inc.php');

  // ----- Backdoor to force the trace at startup (for development usage only)
  if (isset($_GET['trace']) || $_GET['trace']==1) {
    $pws_application->trace_level = 5;
  }

  // ----- Backdoor to force the session stop (for development usage only)
  if (isset($_GET['kill']) || $_GET['kill']==1)
  {
    session_destroy();
    die( "<center>End of the application<br>To start again click <a href=\"?\">Here</a><br>To start again, with trace on, click <a href=\"?trace=1\">Here</a><br></center>");
  }

  // ----- Start PWS Framework
//  PwsStart('sample.xml', 'MiniPhpZip', 'sample-logo.gif');
  PwsStart('sample.xml');//, 'MiniPhpZip', 'sample-logo.gif');

  // ----- Run the main loop
  PwsLoop();
?>

